<?php

/*
|--------------------------------------------------------------------------
| Application Routes
|--------------------------------------------------------------------------
|
| Here is where you can register all of the routes for an application.
| It is a breeze. Simply tell Lumen the URIs it should respond to
| and give it the Closure to call when that URI is requested.
|
*/


/** @var \Laravel\Lumen\Concerns\RoutesRequests $router */
$router->get('/', function () use ($router) {
    return $router->app->version();
});

//测试
$router->get('/example/test','ExampleController@test');
$router->post('/example/test','ExampleController@test');

// 上报相关
$router->group(['prefix' => 'report'],function () use ($router){
    // 设备初始化
    $router->post('init','ReportController@init');
    // 角色上报
    $router->post('role','ReportController@role');
});

// 登录相关
$router->group(['prefix' => 'login'],function () use ($router){
    // 创建token
    $router->post('createToken','LoginController@createToken');
    // 检查token
    $router->post('checkToken','LoginController@checkToken');
});

//支付相关
$router->group(['prefix' => 'pay'],function () use ($router){
    // 创建订单
    $router->post('createOrder','PayController@createOrder');
    // 确认订单
    $router->post('confirmOrder','PayController@confirmOrder');
    // 渠道支付回调
    $router->post('verBack','PayController@verBack');
});

